#include <sys/os16.h>
#include <kernel/diag.h>
#include <kernel/k_libc.h>
//----------------------------------------------------------------------
void
print_inode_zones (inode_t *inode)
{
    int i;
    //
    if (inode == NULL)
      {
        return;
      }
    //
    k_printf ("%04x %4i ",
              (unsigned int) inode->sb->device,
              (unsigned int) inode->ino);

    for (i = 0; i < 7; i++)
      {
        if (inode->direct[i] != 0)
          {
            k_printf ("%04x ", (unsigned int) inode->direct[i]);
          }
        else
          {
            k_printf ("     ");
          }
      }
    if (inode->indirect1 != 0)
      {
        k_printf ("%04x ",     (unsigned int) inode->indirect1);
      }
    else
      {
        k_printf ("     ");
      }
    if (inode->indirect2 != 0)
      {
        k_printf ("%04x",      (unsigned int) inode->indirect2);
      }
    else
      {
        k_printf ("    ");
      }
    k_printf ("\n");
}
