.global __int12
;-----------------------------------------------------------------------
.text
;-----------------------------------------------------------------------
; INT 12 - bios - get memory size
; Return:
;       AX = kilobytes of contiguous memory starting at absolute address
;            0x00000
;
; This call returns the contents of the word at absolute address
; 0x00413.
;-----------------------------------------------------------------------
.align 2
__int12:
    enter #2, #0        ; 1 local variable.
    pushf
    cli
    pusha
    int   #0x12
    mov   -2[bp], ax    ; save AX.
    popa
    popf
    mov   ax, -2[bp]    ; AX is the function return value.
    leave
    ret
