.global __ram_copy
;-----------------------------------------------------------------------
.text
;-----------------------------------------------------------------------
; Copy some bytes between segments.
;-----------------------------------------------------------------------
.align 2
__ram_copy:
    enter #0, #0        ; No local variables.
    pushf
    cli
    pusha
    mov   ax,  4[bp]    ; 1st arg (source segment).
    mov   si,  6[bp]    ; 2nd arg (source offset).
    mov   bx,  8[bp]    ; 3rd arg (destination segment).
    mov   di, 10[bp]    ; 4th arg (destination offset).
    mov   cx, 12[bp]    ; 5th arg (size).
    mov   dx, ds        ; save the data segment.
    mov   ds, ax        ; set DS.
    mov   es, bx        ; set ES.
    rep
    movsb               ; Copy the array of bytes.
    mov   ds, dx        ; Restore the data segment.
    mov   es, dx        ; Restore or fix the extra segment.
    popa
    popf
    leave
    ret
