#include <kernel/ibm_i86.h>
//----------------------------------------------------------------------
void
dsk_setup (void)
{
    dsk_reset (0);
    dsk_table[0].bios_drive = 0x00;   // A: 1440 Kibyte floppy disk.
    dsk_table[0].cylinders  = 80;
    dsk_table[0].heads      = 2;
    dsk_table[0].sectors    = 18;
    dsk_table[0].retry      = 3;
    dsk_reset (1);
    dsk_table[1].bios_drive = 0x01;   // B: 1440 Kibyte floppy disk.
    dsk_table[1].cylinders  = 80;
    dsk_table[1].heads      = 2;
    dsk_table[1].sectors    = 18;
    dsk_table[1].retry      = 3;
    dsk_reset (2);
    dsk_table[2].bios_drive = 0x80;   // C: like a 2880 Kibyte floppy disk.
    dsk_table[2].cylinders  = 80;
    dsk_table[2].heads      = 2;
    dsk_table[2].sectors    = 36;
    dsk_table[2].retry      = 3;
    dsk_reset (3);
    dsk_table[3].bios_drive = 0x81;   // D: like a 2880 Kibyte floppy disk.
    dsk_table[3].cylinders  = 80;
    dsk_table[3].heads      = 2;
    dsk_table[3].sectors    = 36;
    dsk_table[3].retry      = 3;
}
