#include <kernel/k_libc.h>
#include <kernel/fs.h>
//----------------------------------------------------------------------
ssize_t
k_read (int fdn, void *buffer, size_t count)
{
    int     eof;
    ssize_t size;
    //
    eof = 0;
    //
    while (1)
      {
        size += fd_read ((pid_t) 0, fdn, buffer, count, &eof);
        if (size != 0 || eof)
          {
            break;
          }
      }
    return (size);
}
