;-----------------------------------------------------------------------
; BCC compiler helper functions
; (C) Copyright Bruce Evans
; Typesetting adaptations by Daniele Giacomini
;
; GNU LGPL license
;
; Support for integer arithmetic
;-----------------------------------------------------------------------
.global lsll
.global lslul
;-----------------------------------------------------------------------
.text
;-----------------------------------------------------------------------
; lsll, lslul don`t preserve cx
;-----------------------------------------------------------------------
.align 2
lsll:
lslul:
        mov     cx,di
        jcxz    LSL_EXIT
        cmp     cx,*32
        jae     LSL_ZERO
LSL_LOOP:
        shl     ax,*1
        rcl     bx,*1
        loop    LSL_LOOP
LSL_EXIT:
        ret

.align 2
LSL_ZERO:
        xor     ax,ax
        mov     bx,ax
        ret
