#include <sys/types.h>
#include <errno.h>
#include <sys/os16.h>
#include <stddef.h>
#include <string.h>
#include <const.h>
//----------------------------------------------------------------------
int
mount (const char *path_dev, const char *path_mnt, int options)
{
    sysmsg_mount_t msg;
    //
    strncpy (msg.path_dev, path_dev, PATH_MAX);
    strncpy (msg.path_mnt, path_mnt, PATH_MAX);
    msg.options = options;
    msg.ret     = 0;
    msg.errno   = 0;
    //
    sys (SYS_MOUNT, &msg, (sizeof msg));
    //
    errno = msg.errno;
    errln = msg.errln;
    strncpy (errfn, msg.errfn, PATH_MAX);
    return (msg.ret);
}
