#include <time.h>
#include <string.h>
#include <stdio.h>

//----------------------------------------------------------------------
char *
asctime (const struct tm *timeptr)
{
    static char time_string[25]; // `Sun Jan 30 24:00:00 2111'
    //
    // Check argument.
    //
    if (timeptr == NULL)
      {
        return (NULL);
      }
    //
    // Set week day.
    //
    switch (timeptr->tm_wday)
      {
        case 0:
            strcpy (&time_string[0], "Sun");
            break;
        case 1:
            strcpy (&time_string[0], "Mon");
            break;
        case 2:
            strcpy (&time_string[0], "Tue");
            break;
        case 3:
            strcpy (&time_string[0], "Wed");
            break;
        case 4:
            strcpy (&time_string[0], "Thu");
            break;
        case 5:
            strcpy (&time_string[0], "Fri");
            break;
        case 6:
            strcpy (&time_string[0], "Sat");
            break;
        default:
            strcpy (&time_string[0], "Err");
      }
    //
    // Set month.
    //
    switch (timeptr->tm_mon)
      {
        case 1:
            strcpy (&time_string[3], " Jan");
            break;
        case 2:
            strcpy (&time_string[3], " Feb");
            break;
        case 3:
            strcpy (&time_string[3], " Mar");
            break;
        case 4:
            strcpy (&time_string[3], " Apr");
            break;
        case 5:
            strcpy (&time_string[3], " May");
            break;
        case 6:
            strcpy (&time_string[3], " Jun");
            break;
        case 7:
            strcpy (&time_string[3], " Jul");
            break;
        case 8:
            strcpy (&time_string[3], " Aug");
            break;
        case 9:
            strcpy (&time_string[3], " Sep");
            break;
        case 10:
            strcpy (&time_string[3], " Oct");
            break;
        case 11:
            strcpy (&time_string[3], " Nov");
            break;
        case 12:
            strcpy (&time_string[3], " Dec");
            break;
        default:
            strcpy (&time_string[3], " Err");
      }
    //
    // Set day of month, hour, minute, second and year.
    //
    sprintf (&time_string[7], " %2i %2i:%2i:%2i %4i",
             timeptr->tm_mday,  timeptr->tm_hour,  timeptr->tm_min,
             timeptr->tm_sec,  timeptr->tm_year);
    //
    //
    //
    return (&time_string[0]);
}
