#include <unistd.h>
#include <string.h>
#include <const.h>
#include <sys/os16.h>
#include <errno.h>
#include <limits.h>
//----------------------------------------------------------------------
int
chown (const char *path, uid_t uid, gid_t gid)
{
    sysmsg_chown_t msg;
    //
    strncpy (msg.path, path, PATH_MAX);
    msg.uid = uid;
    msg.gid = gid;
    //
    sys (SYS_CHOWN, &msg, (sizeof msg));
    //
    errno = msg.errno;
    errln = msg.errln;
    strncpy (errfn, msg.errfn, PATH_MAX);
    return (msg.ret);
}
