#ifndef _KERNEL_DEVICES_H
#define _KERNEL_DEVICES_H 1

#include <sys/os16.h>
#include <sys/types.h>
//----------------------------------------------------------------------
#define DEV_READ                0
#define DEV_WRITE               1
ssize_t dev_io    (pid_t pid, dev_t device, int rw, off_t offset,
                   void *buffer, size_t size, int *eof);
//----------------------------------------------------------------------
// The following functions are used only by `dev_io()'.
//----------------------------------------------------------------------
ssize_t dev_mem   (pid_t pid, dev_t device, int rw, off_t offset,
                   void *buffer, size_t size, int *eof);
ssize_t dev_tty   (pid_t pid, dev_t device, int rw, off_t offset,
                   void *buffer, size_t size, int *eof);
ssize_t dev_dsk   (pid_t pid, dev_t device, int rw, off_t offset,
                   void *buffer, size_t size, int *eof);
ssize_t dev_kmem  (pid_t pid, dev_t device, int rw, off_t offset,
                   void *buffer, size_t size, int *eof);
//----------------------------------------------------------------------

#endif
