#include <sys/os16.h>
#include <kernel/diag.h>
#include <kernel/k_libc.h>
#include <fcntl.h>
//----------------------------------------------------------------------
void
print_file_num (int fno)
{
    file_t *file = file_reference (fno);

    k_printf ("%2i %3i %c/%c %05o %3i %5li %4i %04x %3i",
              (unsigned int)      fno,
              (unsigned int)      file->references,
              (file->oflags & O_RDONLY ? 'r' : ' '),
              (file->oflags & O_WRONLY ? 'w' : ' '),
              (unsigned int)      file->inode->mode,
              (unsigned int)      file->inode->uid,
              (unsigned long int) file->inode->size,
              (unsigned int)      file->inode->links,
              (unsigned int)      file->inode->sb->device,
              (unsigned int)      file->inode->ino);
    k_printf ("\n");
}
