#include <sys/os16.h>
#include <kernel/diag.h>
#include <kernel/k_libc.h>
//----------------------------------------------------------------------
void
print_superblock (sb_t *sb)
{
    k_printf ("Inodes:           %i\n", sb->inodes);
    k_printf ("Blocks:           %i\n", sb->zones);
    k_printf ("First data zone:  %i\n", sb->first_data_zone);
    k_printf ("Zone size:        %i\n", (1024 << sb->log2_size_zone));
    k_printf ("Max file size:    %li\n", sb->max_file_size);
    k_printf ("Inode map blocks: %i\n", sb->map_inode_blocks);
    k_printf ("Zone map blocks:  %i\n", sb->map_zone_blocks);
}
