#include <sys/os16.h>
#include <kernel/diag.h>
#include <kernel/k_libc.h>
#include <inttypes.h>
//----------------------------------------------------------------------
uint16_t
reverse_16_bit (uint16_t source)
{
    uint16_t destination = 0;
    uint16_t mask_src;
    uint16_t mask_dst;
    int      i;
    for (i = 0; i < 16; i++)
      {
        mask_src = 0x0001 << i;
        mask_dst = 0x8000 >> i;
        if (source & mask_src)
          {
            destination |= mask_dst;
          }
      }
    return (destination);
}
