.global __int10_00
;-----------------------------------------------------------------------
.text
;-----------------------------------------------------------------------
; INT 0x10 - video - set video mode
;       AH = 0x00
;       AL = desired video mode:
;            0x00 = text 40x25	pages 8
;            0x01 = text 40x25  pages 8
;            0x02 = text 80x25  pages 4
;            0x03 = text 80x25  pages 4
;            0x07 = text 80x25  pages 4?
;
; Specify the display mode for the currently active display adapter.
;-----------------------------------------------------------------------
.align 2
__int10_00:
    enter #0, #0        ; No local variables.
    pushf
    cli
    pusha
    mov   ah, #0x00
    mov   al, 4[bp]     ; 1st arg (video mode).
    int   #0x10
    popa
    popf
    leave
    ret
