#include <kernel/main.h>
#include <kernel/proc.h>
#include <kernel/k_libc.h>
#include <unistd.h>
//----------------------------------------------------------------------
pid_t
run (char *path, char *argv[], char *envp[])
{
    pid_t pid;
    //
    pid = fork ();
    if (pid == -1)
      {
        k_perror (NULL);
      }
    else if (pid == 0)
      {
        execve (path, argv, envp);
        k_perror (NULL);
        _exit (0);
      }
    return (pid);
}

