#include <kernel/memory.h>
#include <kernel/ibm_i86.h>
#include <sys/os16.h>
//----------------------------------------------------------------------
size_t
mem_read (addr_t start, void *buffer, size_t size)
{
    unsigned int      segment = start / 16;
    unsigned int      offset  = start % 16;
    unsigned long int end;
    end  = start;
    end += size;
    if (end > 0x000FFFFFL)
      {
        size = 0x000FFFFFL - start;
      }
    ram_copy (segment, offset, seg_d (), (unsigned int) buffer, size);
    return (size);
}
