#include <kernel/proc.h>
//----------------------------------------------------------------------
void
proc_available (pid_t pid)
{
    proc_table[pid].ppid          = -1;
    proc_table[pid].pgrp          = -1;
    proc_table[pid].uid           = -1;
    proc_table[pid].euid          = -1;
    proc_table[pid].suid          = -1;
    proc_table[pid].sig_status    = 0;
    proc_table[pid].sig_ignore    = 0;
    proc_table[pid].usage         = 0;
    proc_table[pid].status        = PROC_EMPTY;
    proc_table[pid].wakeup_events = 0;
    proc_table[pid].wakeup_signal = 0;
    proc_table[pid].wakeup_timer  = 0;
    proc_table[pid].segment_i     = -1;
    proc_table[pid].address_i     = -1L;
    proc_table[pid].size_i        = -1;
    proc_table[pid].segment_d     = -1;
    proc_table[pid].address_d     = -1L;
    proc_table[pid].size_d        = -1;
    proc_table[pid].sp            = 0;
    proc_table[pid].ret           = 0;
    proc_table[pid].inode_cwd     = 0;
    proc_table[pid].path_cwd[0]   = 0;
    proc_table[pid].umask         = 0;
    proc_table[pid].name[0]       = 0;
}
