#include <kernel/proc.h>
#include <errno.h>
//----------------------------------------------------------------------
int
proc_sys_seteuid (pid_t pid, uid_t euid)
{
    if (proc_table[pid].euid == 0)
      {
        proc_table[pid].euid = euid;
        return (0);
      }
    else if (euid == proc_table[pid].euid)
      {
        return (0);
      }
    else if (euid == proc_table[pid].uid || euid == proc_table[pid].suid)
      {
        proc_table[pid].euid = euid;
        return (0);
      }
    else
      {
        errset (EPERM);
        return (-1);
      }
}
