;-----------------------------------------------------------------------
; BCC compiler helper functions
; (C) Copyright Bruce Evans
; Typesetting adaptations by Daniele Giacomini
;
; GNU LGPL license
;
; Support for integer arithmetic
;-----------------------------------------------------------------------
.global ldivl
.extern ldivmod
;-----------------------------------------------------------------------
.text
;-----------------------------------------------------------------------
; bx:ax / 2(di):(di), quotient bx:ax, remainder di:cx, dx not preserved
;-----------------------------------------------------------------------
.align 2
ldivl:
        mov     cx,[di]
        mov     di,2[di]
        call    ldivmod         
        xchg    ax,cx
        xchg    bx,di
        ret
