;-----------------------------------------------------------------------
; BCC compiler helper functions
; (C) Copyright Bruce Evans
; Typesetting adaptations by Daniele Giacomini
;
; GNU LGPL license
;
; Support for integer arithmetic
;-----------------------------------------------------------------------
.global lsrl
;-----------------------------------------------------------------------
.text
;-----------------------------------------------------------------------
; lsrl doesn`t preserve cx
;-----------------------------------------------------------------------
.align 2
lsrl:
        mov     cx,di
        jcxz    LSR_EXIT
        cmp     cx,*32
        jae     LSR_SIGNBIT
LSR_LOOP:
        sar     bx,*1
        rcr     ax,*1
        loop    LSR_LOOP
LSR_EXIT:
        ret

.align 2
LSR_SIGNBIT:
        mov     cx,*32  
        j       LSR_LOOP
