;-----------------------------------------------------------------------
; BCC compiler helper functions
; (C) Copyright Bruce Evans
; Typesetting adaptations by Daniele Giacomini
;
; GNU LGPL license
;
; Support for integer arithmetic
;-----------------------------------------------------------------------
.global lsrul
;-----------------------------------------------------------------------
.text
;-----------------------------------------------------------------------
; lsrul doesn`t preserve cx
;-----------------------------------------------------------------------
.align 2
lsrul:
        mov     cx,di
        jcxz    LSRU_EXIT
        cmp     cx,*32
        jae     LSRU_ZERO
LSRU_LOOP:
        shr     bx,*1
        rcr     ax,*1
        loop    LSRU_LOOP
LSRU_EXIT:
        ret

.align 2
LSRU_ZERO:
        xor     ax,ax
        mov     bx,ax
        ret
