#include <stdio.h>
#include <sys/types.h>
#include <sys/os16.h>
#include <string.h>
#include <unistd.h>
//----------------------------------------------------------------------
int
vprintf (char *restrict format, va_list arg)
{
    ssize_t	size_written;
    size_t      size;
    size_t      size_total;
    int		status;
    char        string[BUFSIZ];
    char       *buffer = string;

    buffer[0] = 0;
    status = vsprintf (buffer, format, arg);

    size = strlen (buffer);
    if (size >= BUFSIZ)
      {
        size = BUFSIZ;
      }
    
    for (size_total = 0, size_written = 0;
         size_total < size;
         size_total += size_written, buffer += size_written)
      {
        //
        // Write to the standard output: file descriptor n. 1.
        //
        size_written = write (STDOUT_FILENO, buffer, size - size_total);
	if (size_written < 0)
	  {
	    return (size_total);
	  }
      }
    return (size);
}
