#include <sys/types.h>
#include <errno.h>
#include <sys/os16.h>
#include <stddef.h>
#include <string.h>
//----------------------------------------------------------------------
pid_t
wait (int *status)
{
    sysmsg_wait_t msg;
    msg.ret    = 0;
    msg.errno  = 0;
    msg.status = 0;
    while (msg.ret == 0)
      {
        //
        // Loop as long as there are children, an none is dead.
        //
        sys (SYS_WAIT, &msg, (sizeof msg));
      }
    errno = msg.errno;
    errln = msg.errln;
    strncpy (errfn, msg.errfn, PATH_MAX);
    //
    if (status != NULL)
      {
	//
	// Only the low eight bits are returned.
	//
        *status = (msg.status & 0x00FF);
      }
    return (msg.ret);
}
